
From: Geert Uytterhoeven <geert@linux-m68k.org>

Toshiba and VIA FIR unconditionally depend on PCI

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/irda/Kconfig |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/irda/Kconfig~depends-on-pci-toshiba-and-via-fir drivers/net/irda/Kconfig
--- 25/drivers/net/irda/Kconfig~depends-on-pci-toshiba-and-via-fir	2004-07-26 17:28:19.074712376 -0700
+++ 25-akpm/drivers/net/irda/Kconfig	2004-07-26 17:28:19.077711920 -0700
@@ -333,7 +333,7 @@ config WINBOND_FIR
 
 config TOSHIBA_FIR
 	tristate "Toshiba Type-O IR Port"
-	depends on IRDA && !64BIT
+	depends on IRDA && PCI && !64BIT
 	help
 	  Say Y here if you want to build support for the Toshiba Type-O IR
 	  and Donau oboe chipsets. These chipsets are used by the Toshiba
@@ -385,7 +385,7 @@ config SA1100_FIR
 
 config VIA_FIR
 	tristate "VIA VT8231/VT1211 SIR/MIR/FIR"
-	depends on IRDA && ISA
+	depends on IRDA && ISA && PCI
 	help
 	  Say Y here if you want to build support for the VIA VT8231
 	  and VIA VT1211 IrDA controllers, found on the motherboards using
_
